Get Object Collections and Filters

Returns information about all objects of the specified type and filters (queries) that can be used to get more information about specific objects.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "text": "Response\n\nAPI-Result\n\n**Result**\tResulting object, if any, of the call\n\n**Result.IsAggregate**\tboolean\nIndicates if the result is aggregated.\n\n**Result.Count**\tinteger\nThe number of results.\n\n**Result.Columns.**\tarray of objects\nContains information about each column.\n\n**Result.Columns.Name**\tstring\nThe name of the column.\n\n**Result.Columns.IsHidden**\tboolean\nIndicates if the column is hidden.\n\n**Result.Columns.DDName**\tstring\n\n**Result.Columns.Title**\tstring\nAn alternative name for the column.\n\n**Result.Columns.Description**\tstring\nA description of of the column.\n\n**Result.Columns.Type**\tinteger\nAn enumerator indicating the type of the column.\n\n**Result.Columns.Format**\tstring\n\n**Result.Columns.Width**\tinteger\nThe width of the column.\n\n**Result.Columns.TableKey**\tstring\nThey unique identifier for the column.\n\n**Result.Columns.ForeignKey**\tstring\nThe foreign key of the column.\n\n**Result.Columns.TableName**\tstring\nThe name of the table in which the column exists.\n\n\n**Result.FullCount**\tinteger\nThe number of items returned.\n\n**Result.Results**\tarray of objects\nThe number of items returned.\n\n**Result.Results.Entities**\tarray of objects\nContains filter information for each object.\n\n**Result.Results.Entities.Type**\tstring\nThe type of entity.\n\n**Result.Results.Entities.Key**\tstring\nThey key for the filter.\n\n**Result.Results.Entities.IsForeignKey**\tboolean\n\n**Result.Results.Entities.Row**\tobject\nProvides information about the database row that describes the object filter.\n\n**Result.Results.Entities.Row.Description**\tstring\nA description of the type of object that the row describes.\n\n**Result.Results.Entities.Row.ObjectType**\tstring\nThe type of object described by the row.\n\n**Result.Results.Entities.Row.CollectionType**\tstring\nIndicates the type of filter.\n\n**Result.Results.Entities.Row.Filters**\tstring\nProvides the filter text (e.g. an SQL query).\n\n**Result.Results.Entities.Row.Name**\tstring\nThe name of the filter.\n\n**Result.Results.Entities.Row.Rank**\tstring\nThe rank of the filter.\n\n**Result.Results.Entities.Row.Builtin**\tboolean\nIndicates if the filter is builtin.\n\n**Result.Results.Entities.Row.ID**\tstring\nThe unique ID of the row.\n\n**Result.Results.ReturnID**\tstring\n\n\n**Message**\tstring\nError message text on failure, may be null\n\n**ErrorID**\tstring\nUnique support identifier for this occurrence of an error\n\n**success**\tboolean\nIndicates API success or failure",
  "sidebar": true
}
Body Params
string

The name of the object for which collections and filters are to be returned (e.g. "Server").

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain